# Copyright (C) 2026 BoundWare LLC. All rights reserved.
# SnacTrac is licensed under the Apache License, Version 2.0
# See Licenses/LICENSE.txt for details.


import sqlite3


# Return value from a database table.
def get_value_table(table, column, identifier, property):

    conn = sqlite3.connect("Data/Database.db")

    cur = conn.cursor()

    cur.execute(f'SELECT "{property}" FROM {table} WHERE "{column}" = ?', (identifier,))

    result = cur.fetchone()

    cur.close()

    conn.close()

    return result[0]
